{
	description = "Michael Thomas's NixOS configuration";

	inputs = {
		home-manager = {
			url = "github:rycee/home-manager/release-21.05";
			inputs = {
				nixpkgs.follows = "nixpkgs";
			};
		};

		nixpkgs.url = "github:nixos/nixpkgs/nixos-21.05";
  	unstable.url = "github:nixos/nixpkgs/nixos-unstable";
		nur.url = "github:nix-community/NUR";
	};

	outputs = inputs: {
		nixosConfigurations = {
			
			loft = inputs.nixpkgs.lib.nixosSystem {
				system = "x86_64-linux";
				modules = [
					./modules/common.nix
					./modules/containers.nix

					./machines/loft/configuration.nix
				];
				specialArgs = { inherit inputs; };
			};

			kitchen = inputs.nixpkgs.lib.nixosSystem {
				system = "x86_64-linux";
				modules = [
					./modules/common.nix
					./modules/containers.nix

					./machines/kitchen/configuration.nix
				];
				specialArgs = { inherit inputs; };
			};

		};
	};
}
